IE9 To Require Windows 7 SP1 To Work

Microsoft has stated that its new Internet Explorer 9 web browser will be need Windows 7 Service Pack 1 to work.

The Redmond-based software giant has published on its FAQs web page that users of Windows 7 OS will require SP1 to run the newly launched Internet Explorer web browser, Internet Explorer 9 (IE9), tech news website Computer World reports.

Although the company is encouraging web users to use and explore IE9, which is still in its beta version, Microsoft’s Rich Reynolds in a company blog has advised businesses and enterprises system to refrain from running the new browser until the final version is out, and use IE8 instead to avoid any complication.

The FAQ page, which was first noticed by tech new stie Ars Technica, also reveals that Windows Vista users should have SP2 in order to run Internet Explorer 9 on their machines.